Skip to main content
GET
/
org
/
helm
/
registries
/
{registry_name}
/
sync-jobs
List Registry Sync Jobs Endpoint
import requests

url = "https://platform.ankra.app/org/helm/registries/{registry_name}/sync-jobs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "jobs": [
    {
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "resource_kind": "<string>",
      "resource_name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "start_at": "2023-11-07T05:31:56Z",
      "stop_at": "2023-11-07T05:31:56Z",
      "summary": "<string>",
      "error_message": "<string>",
      "tasks": []
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total_pages": 123,
    "total_count": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

registry_name
string
required

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:25
Required range: 1 <= x <= 100
status
string | null
job_type
string | null
sort_by
string | null
order
string | null
search
string | null

Cookies

ankra_session
string | null
ankra_refresh
string | null

Response

Successful Response

jobs
SyncJob · object[]
required
pagination
Pagination · object
required